#https://github.com/OtterBrowser/otter-browser/commit/ff0bb280f08832a766771ad5afd578e2ca8ac2fc
%global commit0 ff0bb280f08832a766771ad5afd578e2ca8ac2fc
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           otter-browser
Summary:        Web browser controlled by the user, not vice-versa

# Files in 3rdparty/libmimeapps and 3rdparty/mousegestures are BSD (2 clause)
License:        GPLv3+ and BSD
Version:        0.9.09
Release:        0.2.beta9git%{shortcommit0}%{?dist}
Group:          Applications/Internet
URL:            http://otter-browser.org/
# wget https://github.com/Emdek/otter/archive/ff0bb280f08832a766771ad5afd578e2ca8ac2fc/otter-browser-ff0bb28.tar.gz
Source0:        https://github.com/Emdek/otter/archive/%{commit0}/%{name}-%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  kf5-sonnet-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qtsensors-devel
BuildRequires:  qt5-qtscript-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-qtxmlpatterns-devel
BuildRequires:  libappstream-glib

%description
Web browser aiming to recreate classic Opera (12.x) UI using Qt5.

%prep
%setup -qn %{name}-%{commit0}

%build
%cmake .
make %{?_smp_mflags}

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/{applications,appdata}
install -Dm 0644 packaging/otter-browser.appdata.xml %{buildroot}%{_datadir}/appdata/otter-browser.appdata.xml

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
   %{name}.desktop

%find_lang %{name} --with-qt

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml

%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc CHANGELOG README.md TODO
%license COPYING
%{_bindir}/otter-browser
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/otter-browser.appdata.xml
%{_datadir}/icons/hicolor/*/apps/otter-browser.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/locale/otter-browser_jbo.qm
%{_mandir}/man1/%{name}.1.gz


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.09-0.2.beta9gitff0bb28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 06 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.09-0.1.beta9gitff0bb28
- Update to 0.9.09-01.beta9
- Added BR kf5-sonnet-devel
- Follow https://fedoraproject.org/wiki/Packaging:SourceURL

* Wed Dec 02 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.9.08-0.1.beta8git2fbb4d7
- Update to 0.9.08-01.beta8

* Tue Dec 01 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.9.07-0.2.beta7gitcc6b5b5
- Added BR qt5-qtxmlpatterns-devel
- Update for new git snapshot

* Wed Sep 02 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.9.07-0.1.beta7git9946beb
- Update to 0.9.07-01.beta7

* Tue Jun 02 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.9.06-0.1.beta6gitaf837be
- Update to 0.9.06-01.beta6

* Mon Apr 06 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.9.05-0.2.beta5git8c705ab
- Update to 0.9.05-02.beta5
- Mark license files as %%license where available

* Thu Jan 01 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.9.05-0.1.beta5gitd998eb4
- Update to 0.9.05-01.beta5
- added BR qt5-qtmultimedia-devel

* Fri Dec 12 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.04-0.2.beta3gitcdcf0c0
- rebuild for new git release
- cleanup spec file

* Mon Dec 08 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.04-0.1.beta4git0bbf467
- Update to 0.9.04-0.1.beta4
- correct project's web site url
- correct license tag
- removed %%{_datadir}/icons/hicolor was not owned or used
- added %%check section
- added BR libappstream-glib
- added appdata.xml file

* Thu Oct 30 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.03-0.1.beta3gitc2c558a
- use commit revision in source url
- added macro %%find_lang

* Thu Aug 28 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.02-2
- added own directory for otter-browser

* Thu Aug 28 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.02-1
- Update to 0.9.02
- used macro make_install

* Mon Jun 23 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.01-5.beta1
- changed %%cmake command following fedora packaging guide

* Sun Jun 08 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.01-4.beta1
- changed release Tag

* Sat Jun 07 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.01-3
- replaced qmake-qt5 by cmake
- added manual page

* Fri Jun 06 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.01-2
- added BR desktop-file-utils

* Fri Jun 06 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.9.01-1
- initial build for Fedora 20

